#if !defined(_ADATA_RW_H)
#define _ADATA_RW_H

#include "platform.h"
#include "device.h"

extern OS_STATUS
ADMXRC_ProgramBytes(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq);

extern OS_STATUS
ADMXRC_WriteReg(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_WRITEREG* pIoctl,
  unsigned long inSize);

extern OS_STATUS
ADMXRC_ReadReg(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_READREG* pIoctl,
  unsigned long inSize,
  unsigned long outSize);

extern OS_STATUS
ADMXRC_Write(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_WRITE* pIoctl,
  unsigned long inSize);

extern OS_STATUS
ADMXRC_Read(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* pReq,
  ADMXRC_IOCTLS_READ* pIoctl,
  unsigned long inSize);

#endif
